=== test/Docbook/basic/xslt/image/SConstruct ===
import os

env = Environment(tools=['docbook'])

#
# Create document
#
env.DocbookXslt('out.xml', 'in.xml', 
                xsl='./to_docbook.xslt')
