=== test/Install/multi-dir/src/SConstruct ===
# This tests for a bug where installing a sequence dirs and subdirs
# outside the source tree can cause SCons to fail to create the dest
# dir.
import os, os.path, shutil
DefaultEnvironment(tools=[])
env=Environment(tools=[])
dst='../build'
env.Install(os.path.join(dst,'__foo/bar/baz'), 'a')
env.Install(os.path.join(dst,'__foo/bar/baz/a/b'), 'x/y')
