=== debian/changelog ===
scons (4.0.1+dfsg-2mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 21:35:23 -0700

scons (4.0.1+dfsg-2) unstable; urgency=medium

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 27 Oct 2020 18:38:13 +0100

scons (4.0.1+dfsg-1) experimental; urgency=medium

  * New major upstream release.
  * Merge in scons-doc package (closes: #968655).
  * Remove Jörg from being a maintainer, thanks for all the fish.
  * Be the primary maintainer (closes: #968654).
  * Rework packaging.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 Aug 2020 20:25:23 +0200
