=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,16 @@
 # Can be used with twinecheck
 # See: https://github.com/pypa/readme_renderer
 readme-renderer
-sphinx
+#sphinx<=5.0.0
+sphinx>=5.1.1
 sphinx_rtd_theme
-lxml==4.5.0
 rst2pdf
+# for now keep pinning "known working" lxml,
+# it's been a troublesome component in the past.
+lxml==4.9.1
+rst2pdf
+ninja
+
+# Needed for test/Parallel/failed-build/failed-build.py
+# Also for test/ninja/shutdown_scons_daemon.py
+psutil
