=== debian/changelog ===
scons (4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - fix content-timestamp decider for symlinks (closes: #981584).
  * Move binaries back to /usr (closes: #1020082).
  * Handle man pages correctly.
  * Suggest scons-doc on scons package (closes: #973301).
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Sep 2022 17:35:41 +0200
