=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: scons
 Section: devel
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
@@ -13,8 +12,9 @@
  biber <!nocheck>,
  clang <!nocheck>,
  gdc <!nocheck>,
+ python3-psutil <!nocheck>,
  ldc [amd64] <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.scons.org/
 Vcs-Git: https://salsa.debian.org/debian/scons.git
@@ -25,6 +25,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends}
+Suggests: scons-doc
 Description: replacement for make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache
@@ -34,6 +35,7 @@
 
 Package: scons-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: scons-doc (<< 4.0.1)
 Replaces: scons-doc (<< 4.0.1)
