## scons 4.5.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.5),
  fop,
@@ -14,7 +14,7 @@
  gdc <!nocheck>,
  python3-psutil <!nocheck>,
  ldc [amd64] <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.scons.org/
 Vcs-Git: https://salsa.debian.org/debian/scons.git
